# Interface ClassBreakInfoJson

The classBreaksInfo object provides information about the class breaks associated with the renderer.

See https://developers.arcgis.com/web-map-specification/objects/classBreakInfo/ https://developers.arcgis.com/web-scene-specification/objects/classBreakInfo/.

interface ClassBreakInfoJson {
classMaxValue: number;
classMinValue?: number;
description?: string;
label?: string;
symbol: SymbolJson;
}

#####
Index

### Properties

classMaxValue
classMinValue?
description?
label?
symbol

##
Properties

### classMaxValue

classMaxValue: number

A numeric value used to specify the maximum value for a break.

### `Optional` classMinValue

classMinValue?: number

A numeric value used to specify discontinuous class breaks. If this value is null or is missing, the map server will calculate the minimum value based on the preceding class' maximum value.

### `Optional` description

description?: string

String value used to describe the drawn symbol.

### `Optional` label

label?: string

String value used to label the drawn symbol.

### symbol

symbol: SymbolJson

An object used to display the value.